{% extends 'base.html.twig' %}

{% block body %}
    <div class="container">
        <section class="content">
            <div class="card">
                <div class="card-header no-border">
                    <h3 class="card-title">Shepherd status</h3>
                </div>
                <p>
                    Version: {{ version }}
                </p>
                <div class="card-body p-0">
                    Current monitoring:
                    <table class="table table-bordered table-striped table-comparision table-responsive sortable" style="margin-left: auto; margin-right: auto;width:100%;" border="0">
                        <thead>
                        <tr>
                            <th>Interface</th>
                            <th>stats</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for monitor in monitoring %}
                            <tr>
                                <td>
                                    {{ monitor.type }}
                                </td>
                                <td>{{ monitor.value|striptags('<br>') | raw }}</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>

                    <br>

                    Available blends:<br>
                    <table class="table table-bordered table-striped table-comparision table-responsive sortable" style="margin-left: auto; margin-right: auto;width:100%;" border="0">
                        <thead>
                        <tr>
                            <th>Blend</th>
                            <th>Disk usage</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for blend in blends %}
                            <tr>
                                <td>
                                    {{ blend.id }}
                                </td>
                                <td>{{ blend.disk_usage }}</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>

                    <br>

                    Tasks:<br>
                    <table class="table table-bordered table-striped table-comparision table-responsive sortable" style="margin-left: auto; margin-right: auto;width:100%;" border="0">
                        <thead>
                        <tr>
                            <th>Id</th>
                            <th>Type</th>
                            <th>Status</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for task in tasks %}
                            <tr>
                                <td>{{ task.id }}</td>
                                <td>{{ task.type }}</td>
                                <td>{{ task.status }}</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </div>
{% endblock %}